function ingresoPin(id, val) {
    $('.form-group-genera-pin').hide();
    $('.form-group-envia-pin').hide();
    $('.grupo-num-intentos').hide();
    $('.grupo-pin').prop('disabled', true);
    $('#NUM_INLOGIN').prop('disabled', true);

    if (val === 'P') {
        $('.form-group-genera-pin').show();
        $('.form-group-envia-pin').show();
        $('.grupo-pin').prop('disabled', false);
    } 
  if (val === 'W') {
        $('.grupo-num-intentos').show();
        $('#NUM_INLOGIN').prop('disabled', false);
       
    }
}

//Noty Master function
function generateNoty(layout, text, type) {
    var n = noty({
        text: text,
        type: type,
        dismissQueue: true,
        layout: layout,
        theme: 'relax',
        timeout: 4000
    });
}

$(document).ready(function () {
    $('#crear-form').parsley();

    /**
     * Control de eventos check
     */

    $('#grupo-BOL_VALMAI').on('click', function () {
        var input1 = $(this).children().children();
        var check = input1[1].checked;
        if (check) {
            $('.grupo-mail').show();
            $('.grupo-mail :input').prop('disabled', false);

        } else {
            $('.grupo-mail').hide();
            $('.grupo-mail :input').prop('disabled', true);
        }
    });
    $('#grupo-BOL_VALLIS').on('click', function () {
        var input = $(this).children().children();
        var check = input[1].checked;
        if (check) {
            $('.grupo-num-listas').show();
            $('.grupo-num-candit').hide();
            $('.grupo-num-listas: input').prop('disabled', false);
            $('.grupo-num-candit :input').prop('disabled', true);

        } else {
            $('.grupo-num-candit').show();
            $('.grupo-num-listas').hide();
            $('.grupo-num-listas :input').prop('disabled', true);
            $('.grupo-num-candit :input').prop('disabled', false);
        }
    });

    $('#grupo-BOL_ACTIVAIMPREVOT').on('click', function () {
        var input1 = $(this).children().children();
        var check = input1[1].checked;
        if (check) {
            $('.grupo-tipo-impresion').show();
            $('#TEX_TIPOIMPRE').prop('disabled', false);

        } else {
            $('.grupo-tipo-impresion').hide();
            $('#TEX_TIPOIMPRE').prop('disabled', true);
        }
    });

    $('#TEX_SEGMEN').on('change', function () {
        var segmentacion = $(this).val();
        $('#btn-save-config').show();
        if (segmentacion === 'A' || segmentacion === 'C') {
            $.ajax({
                type: 'post',
                url: baseUrl + 'configuracion/validacion_segmen',
                data: {segmen: segmentacion},
                dataType: 'json',
                beforeSend: function () {
                },
                success: function (response) {
                    if (response.type === "error") {
                        generateNoty('bottomLeft', response.message, 'error');
                        $('#btn-save-config').hide();
                    }
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    console.log('Código:' + jqXHR.status);
                    console.log('Error AJAX: ' + textStatus);
                    console.log('Tipo Error: ' + errorThrown);
                }
            });
        }
    });
}
);